using System.Collections.Generic;
using Upsilon.Text;

namespace Upsilon.Binder
{
    public abstract class BoundNode
    {
        protected BoundNode(TextSpan span)
        {
            Span = span;
        }

        public abstract BoundKind Kind { get; }
        public TextSpan Span { get; }

        public abstract IEnumerable<BoundNode> GetNodeAtPosition(int characterPosition);
    }
}