using Upsilon.BaseTypes;

namespace Upsilon.Binder.VariableSymbols
{
    public class VariableSymbol
    {
        public VariableSymbol(string name, Type type, bool local)
        {
            Type = type;
            Local = local;
            Name = name;
        }

        public virtual Type Type { get; set; } = Type.Unknown;
        public bool Local { get; }
        public string Name { get; }
        public string[] CommentValue { get; set; }

    }
}